Update a workspace in the organization
PATCH
/v1/organization/workspaces/{workspace_id}const workspace = await bird.organization.workspaces.update(
"ws_01krdgeqcxet5s7t44vh8rt9mg",
{ name: "Production" },
);
console.log(workspace.name);workspace = client.organization.workspaces.update("ws_01krdgeqcxet5s7t44vh8rt9mg", name="Production")
print(workspace.name)workspace, err := client.Organization.Workspaces.Update(context.Background(), "ws_01krdgeqcxet5s7t44vh8rt9mg", bird.OrganizationWorkspacesUpdateParams{Name: bird.String("Production")})
if err != nil {
log.Fatal(err)
}
fmt.Println(workspace.Name)$workspace = $bird->organization->workspaces->update('ws_01krdgeqcxet5s7t44vh8rt9mg', (new OrganizationWorkspaceUpdate())->setName('Production'));
echo $workspace->getName() . PHP_EOL;bird organization workspaces update <workspace-id> --name Stagingcurl -X PATCH "https://us1.platform.bird.com/v1/organization/workspaces/{workspace_id}" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Staging"
}'Response200
{
"id": "ws_01krdgeqcxet5s7t44vh8rt9mg",
"organization_id": "org_01krdgeqcxet5s7t44vh8rt9mg",
"name": "Production",
"notification_emails": {
"operational": [
"alerts@example.com"
]
},
"created_at": "2026-05-20T09:14:52Z",
"updated_at": "2026-05-25T16:42:01Z"
}
Updates mutable fields on any workspace in the organization by ID. Organization administrators can manage workspaces without holding a workspace-level role. Organization master keys and authorized CLI or MCP access tokens need organization workspace write access. Workspace API keys cannot call this operation.
Parameters
workspace_idstringWorkspace identifier. Starts with ws_.
Request Payload
namestring
New display name for the workspace, as it appears in the dashboard and in workspace lists. Must include at least one letter or number.
Response Payload
idstring
required
organization_idstring
required
namestring
required
notification_emailsobject
required
logo_urlnullable string
HTTPS URL to the current workspace logo. null when unset.
created_atstring
required
updated_atstring
required
Related resources
Continue with the documentation, guides and examples for this topic.